Bug 499945 - Touchpad scroll not working anymore.
Touchpad scroll not working anymore.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 07:20 EDT by Bernhard Schuster
Modified: 2009-11-05 17:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 17:17:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (43.35 KB, text/plain)
2009-05-11 05:09 EDT, Michal Hlavinka
no flags Details
/etc/hal/fdi/policy/10-synaptics.fdi (703 bytes, text/plain)
2009-05-12 17:50 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Bernhard Schuster 2009-05-09 07:20:59 EDT
Description of problem:
The "scrollpart" of my laptop's touchpad does not work anymore. I have to use arrow keys to scroll.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot
2. Login (GDM)
3.
  
Actual results:
Nothing.

Expected results:
Scroll when I move my finger at the right side South/North.

Additional info:
Fedora 10 did just fine (erased)
Comment 1 Michal Hlavinka 2009-05-11 04:53:05 EDT
I can confirm this bug, same problem here.
Comment 2 Michal Hlavinka 2009-05-11 05:09:17 EDT
Created attachment 343376 [details]
Xorg.0.log

Xorg.0.log

I'm using xorg-x11-drv-synaptics-1.1.0-5.fc11.x86_64, xorg-x11-server-Xorg-1.6.1-11.fc11.x86_64

smolt profile http://www.smolts.org/client/show/pub_bba430ef-8458-4331-9ff2-a246dd6b34df (now I'm using updated F11, where smolt is broken)
Comment 3 Matěj Cepl 2009-05-12 17:50:14 EDT
Created attachment 343668 [details]
/etc/hal/fdi/policy/10-synaptics.fdi

Patch to fix this bug.
Comment 4 Matěj Cepl 2009-05-12 17:51:20 EDT
Michal are you able to reproduce the bug even though you copy that policy file to /etc/hal/fdi/policy/10-synaptics.fdi
Comment 5 Peter Hutterer 2009-05-12 18:12:02 EDT
Please go into Systems->Preferences->Mouse, click on the tab "Touchpad" and enable your preferred scrolling method.
Comment 6 Michal Hlavinka 2009-05-13 03:58:40 EDT
(In reply to comment #5)
> Please go into Systems->Preferences->Mouse, click on the tab "Touchpad" and
> enable your preferred scrolling method.  

I'm using KDE and can't find anything related to this.

(In reply to comment #4)
> Michal are you able to reproduce the bug even though you copy that policy file
> to /etc/hal/fdi/policy/10-synaptics.fdi  

I'll test it as soon as possible, but it'll be around 19:30 UTC
Comment 7 Bernhard Schuster 2009-05-13 04:39:44 EDT
Additional info:
When I press the left button of my touchpad, while the cursor is above a scrolling bar, and while keeping the left touchpadbutton pressed, the scroll works.
But it does not work without doing this "procedure"
Comment 8 Bernhard Schuster 2009-05-13 04:47:14 EDT
Ok, changing the scroll mthond under "Mouse" did do the job for me. But you should consider changing the default bahviour to "Edge Scrolling".

A good default setup would be (at least I know all of my friends use their laptop like that):

DisableTouchpadWhileTyping: Aktive
EnableMouseClicksWithTouchpad: Aktive
EdgeScrolling: Enabled
And the rest being disabled/inaktive.
Comment 9 Michal Hlavinka 2009-05-13 14:35:22 EDT
(In reply to comment #4)
> Michal are you able to reproduce the bug even though you copy that policy file
> to /etc/hal/fdi/policy/10-synaptics.fdi  

with this file, it works
Comment 11 Peter Hutterer 2009-05-17 17:20:49 EDT
Please see the synaptics feature page below. your touchpad supports two-finger scrolling and this is enabled by default instead of edge scrolling.

https://fedoraproject.org/wiki/Features/SynapticsUpdate
Comment 12 Bug Zapper 2009-06-09 11:31:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Matěj Cepl 2009-11-05 13:28:55 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Peter Hutterer 2009-11-05 17:17:29 EST
Closing per comment 9. 

We support scroll edge configuration in gnome-settings-daemon now as well.

Note You need to log in before you can comment on or make changes to this bug.